/**
 * Created by eric on 5/18/16.
 */
/**
 * Returns copy log ID and properties doc ID from a paused folder copy.
 */
function findPriorCopy(folderId) {
  // find DO NOT MODIFY OR DELETE file (e.g. propertiesDoc)
  var query =
    "'" +
    folderId +
    "' in parents and title contains 'DO NOT DELETE OR MODIFY' and mimeType = 'text/plain'";
  var p = Drive.Files.list({
    q: query,
    maxResults: 1000,
    orderBy: 'modifiedDate,createdDate'
  });

  // find copy log
  query =
    "'" +
    folderId +
    "' in parents and title contains 'Copy Folder Log' and mimeType = 'application/vnd.google-apps.spreadsheet'";
  var s = Drive.Files.list({
    q: query,
    maxResults: 1000,
    orderBy: 'title desc'
  });

  try {
    return {
      spreadsheetId: s.items[0].id,
      propertiesDocId: p.items[0].id
    };
  } catch (e) {
    throw new Error(
      'Could not find the necessary data files in the selected folder. ' +
        'Please ensure that you selected the in-progress copy and not the original folder.'
    );
  }
}
