/**
 * Gets files from query and returns fileList with metadata
 *
 * @param {string} query the query to select files from the Drive
 * @param {string} pageToken the pageToken (if any) for the existing query
 * @return {object} fileList object where fileList.items is an array of children files
 */
function getFiles(query, pageToken) {
  return Drive.Files.list({
    q: query,
    maxResults: 1000,
    pageToken: pageToken
  });
}
