/**
 * Create the spreadsheet used for logging progress of the copy
 *
 * @param {string} today - Stringified version of today's date
 * @param {string} destId - ID of the destination folder, created in createDestinationFolder
 *
 * @return {Object} metadata for logger spreadsheet, or error on fail
 */
function createLoggerSpreadsheet(today, destId) {
  try {
    return Drive.Files.copy(
      {
        title: 'Copy Folder Log ' + today,
        parents: [
          {
            kind: 'drive#fileLink',
            id: destId
          }
        ]
      },
      '17xHN9N5KxVie9nuFFzCur7WkcMP7aLG4xsPis8Ctxjg'
    );
  } catch (err) {
    return err.message;
  }
}
